org.springframework.batch.core.configuration.annotation

## Class ModularBatchConfiguration

- java.lang.Object
- - org.springframework.batch.core.configuration.annotation.AbstractBatchConfiguration
  - - org.springframework.batch.core.configuration.annotation.ModularBatchConfiguration

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.beans.factory.InitializingBean, org.springframework.context.annotation.ImportAware

      @Configuration(proxyBeanMethods=false)
      public class ModularBatchConfiguration
      extends AbstractBatchConfiguration

  Base `Configuration` class providing common structure for enabling and using Spring Batch. Customization is available by implementing the `BatchConfigurer` interface.
  Since:
    2.2
  Author:
    Dave Syer
  See Also:
    `EnableBatchProcessing`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModularBatchConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobExplorer` | `jobExplorer()`
    `JobLauncher` | `jobLauncher()`
    `AutomaticJobRegistrar` | `jobRegistrar()`
    `JobRepository` | `jobRepository()`
    `org.springframework.transaction.PlatformTransactionManager` | `transactionManager()`

    - ### Methods inherited from class org.springframework.batch.core.configuration.annotation.AbstractBatchConfiguration

      `afterPropertiesSet, getConfigurer, jobBuilders, jobRegistry, setImportMetadata, stepBuilders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModularBatchConfiguration

          public ModularBatchConfiguration()

  - ### Method Detail

    - #### jobRepository

          @Bean
          public JobRepository jobRepository()
                                            throws java.lang.Exception

      Specified by:
        `jobRepository` in class `AbstractBatchConfiguration`
      Throws:
        `java.lang.Exception`

    - #### jobLauncher

          @Bean
          public JobLauncher jobLauncher()
                                        throws java.lang.Exception

      Specified by:
        `jobLauncher` in class `AbstractBatchConfiguration`
      Throws:
        `java.lang.Exception`

    - #### transactionManager

          @Bean
          public org.springframework.transaction.PlatformTransactionManager transactionManager()
                                                                                              throws java.lang.Exception

      Specified by:
        `transactionManager` in class `AbstractBatchConfiguration`
      Throws:
        `java.lang.Exception`

    - #### jobExplorer

          @Bean
          public JobExplorer jobExplorer()
                                        throws java.lang.Exception

      Specified by:
        `jobExplorer` in class `AbstractBatchConfiguration`
      Throws:
        `java.lang.Exception`

    - #### jobRegistrar

          @Bean
          public AutomaticJobRegistrar jobRegistrar()
                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`